package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

public class MemberUnionidRelated implements Serializable {
    private String memberUnionidRelatedId;

    private String memberId;

    private String unionid;

    private String wxEnterpriseId;
    
    private String enterpriseId;

    private Integer statusFlag;

    private String externalUserid;

    private Date createTime;

    private Date updateTime;
    
    private String selfExternalUserid;
    
    private String externalName;
    
    private String addCreateTime;
    
    private String staffId ;
    
    private static final long serialVersionUID = 1L;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getMemberUnionidRelatedId() {
        return memberUnionidRelatedId;
    }

    public void setMemberUnionidRelatedId(String memberUnionidRelatedId) {
        this.memberUnionidRelatedId = memberUnionidRelatedId == null ? null : memberUnionidRelatedId.trim();
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId == null ? null : memberId.trim();
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid == null ? null : unionid.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getExternalUserid() {
        return externalUserid;
    }

    public void setExternalUserid(String externalUserid) {
        this.externalUserid = externalUserid == null ? null : externalUserid.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getSelfExternalUserid() {
		return selfExternalUserid;
	}

	public void setSelfExternalUserid(String selfExternalUserid) {
		this.selfExternalUserid = selfExternalUserid;
	}

	public String getExternalName() {
		return externalName;
	}

	public void setExternalName(String externalName) {
		this.externalName = externalName;
	}

	public String getAddCreateTime() {
		return addCreateTime;
	}

	public void setAddCreateTime(String addCreateTime) {
		this.addCreateTime = addCreateTime;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

    
}